PO4A-GETTEXTIZE(1p)

NOME
po4a-gettextize - converte un documento originale (e la sua traduzione) in un file PO

SINTASSI
po4a-gettextize -f formatoE -m originale.doc [-l XX.doc] -p XX.po

dove XX.po è l'output e tutti gli altri sono input.

DESCRIZIONE
Lo scopo del progetto po4a (PO for anything - PO per tutto) è di facilitare la traduzione e, cosa ancor più interessante, la manutenzione delle traduzioni usando gettext e i relativi strumenti in campi in cui il loro uso non era programmato, come la documentazione.

Il programma po4a-gettextize si occupa di convertire i documenti in file PO. Se si sta iniziando una nuova traduzione, po4a-gettextize estrarrà dal documento originale tutte le stringhe da tradurre per poi generare un file POT.

Se invece esiste già un documento tradotto, po4a-gettextize cercherà di estrarre le traduzioni che contiene e metterle nel posto appropriato nel file PO. Si osservi che tale processo viene condotto semplicemente supponendo che la stringa in posizione N nel file tradotto corrisponda alla stringa di posto N file originale; se per caso non è così, succede un disastro ed è quindi molto importante che entrambi i file abbiano esattamente la stessa struttura.

Ad ogni modo, po4a-gettextize è in grado di rilevare qualsiasi mancanza di sincronizzazione tra i file, riportandone la posizione: in tal caso, occorre modificare i file manualmente per eliminare la disparità incontrata.Anche se non viene segnalato nessun errore, è opportuno controllare che il file PO generato sia corretto, in particolare che ogni msgstr sia la traduzione del msgid associato (e non di uno adiacente).

Il programma in ogni caso segna come fuzzy tutte le traduzioni estratte, così da assicurarsi che il traduttore gli dia un'occhiata per individuare eventuali problemi.

Se il documento originale contiene dei caratteri non ASCII, il file PO generato sarà in UTF-8, in modo da permettere la presenza di caratteri non standard indipendentemente dalla lingua usata; se invece l'originale è completamente in ASCII, il PO userà la codifica del documento già tradotto.

OPZIONI

-f, --format
    Formato del documento in questione. L'opzione --help-format mostra l'elenco dei formati disponibili.

-m, --master
    Il file contenente il documento master da tradurre. Si può usare questa opzione più volte se si vuole "gettext-izzare" più documenti.

-M, --master-charset
    Set di caratteri del file contenente il documento da tradurre.

-l, --localized
    Il file contenente la versione localizzata (tradotta) del documento. Se si hanno più documenti master, è probabile si voglia anche fornire più documenti localizzati usando quest'opzione più di una volta.

-L, --localized-charset
    Set di caratteri del file contenente il documento tradotto.

-p, --po
    File su cui scrivere il catalogo messaggi. Se non specificato, il catalogo messaggi viene scritto sullo standard output.

-o, --option
    Opzioni extra da passare al plugin di formato. Specifica ogni opzione nel formato 'nome=valore'. Vedere la documentazione per ogni plugin per ulteriori informazione sulle opzioni valide e sul loro significato.

-h, --help
    Mostra un breve messaggio di aiuto.

--help-format
    Elenca i formati di documento gestiti da po4a.

-V, --version
    Mostra la versione del programma ed esce.

-v, --verbose
    Rende il programma più prolisso.

-d, --debug
    Mostra delle informazioni di debug

--msgid-bugs-address indirizzo@email
    Imposta l'indirizzo a cui inviare i rapporti di errore per i msgid. Come impostazione predefinita, i file POT creati non hanno campi Report-Msgid-Bugs-To.

--copyright-holder stringa
    Imposta l'intestatario del copyright nell'intestazione del POT. Il valore predefinito è "Free Software Foundation, Inc."

--package-name stringa
    Imposta il nome del pacchetto nell'intestazione del POT. Il valore predefinito è "PACKAGE".

--package-version stringa
    Imposta la versione del pacchetto nell'intestazione del POT. Il valore predefinito è "VERSION".

VEDERE ANCHE
po4a-normalize(1), po4a-translate(1), po4a-updatepo(1), po4a(7)

AUTORI
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

TRADUZIONE
 Danilo Piazzalunga <danilopiazza@libero.it>
 Marco Ciampa <ciampix@libero.it>

COPYRIGHT E LICENZA
Copyright 2002-2012 by SPI, inc.

Questo programma è software libero; è lecito ridistribuirlo o modificarlo secondo i termini della licenza GPL (vedere il file COPYING).